Main Page Groups Namespaces

# sigc::internal::limit_derived_target< T_target *, T_action > Struct Template Reference

List of all members.

## Public Types

typedef limit_derived_target< T_target*, T_action > | T_self

## Public Member Functions

template<class T_type>
void | operator() (const T_type& _A_type) const
| limit_derived_target (const T_action& _A_action)

## Public Attributes

T_action | action_

### template <class T_target, class T_action>
struct sigc::internal::limit_derived_target< T_target *, T_action >

## Member Typedef Documentation

template <class T_target, class T_action>
typedef limit_derived_target<T_target*, T_action> sigc::internal::limit_derived_target<T_target*, T_action>::T_self

## Member Function Documentation

template <class T_target, class T_action>
sigc::internal::limit_derived_target<T_target*, T_action>::limit_derived_target | ( | const T_action& | _A_action | ) | `[inline]`

template <class T_target, class T_action>
template <class T_type>
void sigc::internal::limit_derived_target<T_target*, T_action>::operator() | ( | const T_type& | _A_type | ) | const`[inline]`

## Member Data Documentation

template <class T_target, class T_action>
T_action sigc::internal::limit_derived_target<T_target*, T_action>::action_

The documentation for this struct was generated from the following file:

- visit_each.h